<digi-layout-block>
	<digi-typography-heading-jumbo af-text="Språkväljare"></digi-typography-heading-jumbo>
	<digi-typography-preamble>
		Vi är Sveriges största förmedlare av arbeten. Vårt jobb är att så effektivt
		som möjligt föra samman dem som söker medarbetare med dem som söker jobb.
	</digi-typography-preamble>
</digi-layout-block>
<digi-layout-block af-margin-top="true">
	<div style="display: flex; align-items: center">
		<digi-tools-languagepicker af-id="MyLanguagePicker" [attr.af-languagepicker-hide]="hideLanguagepicker"
			[attr.af-listen-show]="showListen" [attr.af-signlang-hide]="hideSignlang"
			[attr.af-languagepicker-variation]="iconVariation" [attr.af-languagepicker-text]="textLanguagepicker"
			[attr.af-listen-text]="textListen" [attr.af-signlang-text]="textSignlang" [afLanguagepickerItems]="languagesJson"
			(afOnSelect)="afOnSelect($event)" (afOnToggle)="afOnToggle($event)" (afOnChange)="afOnChange($event)"
			(afOnBlur)="afOnBlur($event)" (afOnActive)="afOnActive($event)" (afOnInactive)="afOnInactive($event)"
			(afOnClick)="afOnClick($event)"></digi-tools-languagepicker>
	</div>
</digi-layout-block>
<digi-layout-block af-margin-top="true">
	<ul class="debug">
		<li>
			<h4>Valt språk: {{ selectedLanguage }}</h4>
		</li>
		<li>
			<digi-button class="digi-button digi-button--primary digi-button--medium" type="button"
				(click)="onDemoButtonClick()" af-size="small">
				Blanda ordningen
			</digi-button>
		</li>
		<li>
			<digi-button af-variation="secondary" type="button" (click)="onSkanskaButtonClick()" af-size="small">
				Lägg till "skånska"
			</digi-button>
		</li>
		<li>
			<digi-button type="button" (click)="onRemoveLanguageButtonClick()" af-size="small">
				Ta bort språk
			</digi-button>
		</li>
	</ul>
	<ul class="debug">
		<li>
			<label for="selectVariation">Ikon</label>
			<select id="selectVariation" [value]="iconVariation" (change)="iconVariation = $event.target.value">
				<option value="googleTranslate">Google Translate</option>
				<option value="default">Default</option>
			</select>
		</li>
	</ul>
	<ul class="debug">
		<li>
			<label for="textLanguagePicker">Språkväljare knapptext</label>
			<input type="text" [value]="textLanguagepicker" (keyup)="textLanguagepicker = $event.target.value"
				id="textLanguagePicker" />
		</li>
		<li>
			<label for="textListen">Lyssna knapptext</label>
			<input type="text" [value]="textListen" (keyup)="textListen = $event.target.value" id="textListen" />
		</li>
		<li>
			<label for="textSignlang">Teckenspråk knapptext</label>
			<input type="text" [value]="textSignlang" (keyup)="textSignlang = $event.target.value" id="textSignlang" />
		</li>
	</ul>
	<ul class="debug">
		<li>
			<label><input type="checkbox" [checked]="hideLanguagepicker"
					(change)="hideLanguagepicker = $event.target.checked" />
				Dölj "språkväljaren"</label>
		</li>
		<li>
			<label><input type="checkbox" [checked]="showListen" (change)="showListen = $event.target.checked" />
				Visa "lyssna"</label>
		</li>
		<li>
			<label><input type="checkbox" [checked]="hideSignlang" (change)="hideSignlang = $event.target.checked" />
				Dölj "teckenspråk"</label>
		</li>
	</ul>
	<div>
		<textarea id="debugtext" cols="80" rows="15">{{ debugText }}</textarea>
	</div>
	<div>
		<button type="button" (click)="clearDebugText()">Töm logg</button>
		<!-- 
			We had to have these on the page for the icons to show, before we made a fix in
			watchHandler_afLanguagepickerVariation that now "adds" them dynamically.
			<digi-icon-language-outline></digi-icon-language-outline>
		<digi-icon-language></digi-icon-language>  -->
	</div>
</digi-layout-block>

<!--
	[attr.af-navigation-context-menu-items]="languagesJson"
	[afNavigationContextMenuItems]="languagesJson"
-->